CREATE TABLE personal_manager_sync_settings (
    project_id BIGINT PRIMARY KEY REFERENCES projects(id),
    enabled BOOLEAN NOT NULL,
    service_url VARCHAR(2048) NOT NULL,
    requires_authentication BOOLEAN NOT NULL,
    client_login VARCHAR(64),
    client_password VARCHAR(64),
    sync_timeout INTEGER NOT NULL,
    synchronized_at TIMESTAMPTZ
);
